Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class AbstractSystemInfo

[frames] | no frames]

# Class AbstractSystemInfo

source code

    object --+
             |
            AbstractSystemInfo

Known Subclasses:
  - HamiltonianSysInfo

Subclasses hold all information describing a current system setup (Hamiltonian, boundaries, ...)

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`